%define oname	PageEdit

Name:		pageedit
Version:	2.5.0
Release:	%mkrel 1
Summary:	Simple Single Page XHTML Visual Editor, split from Sigil's BookView
License:	GPLv3+
Group:		Office/Utilities
Url:		https://sigil-ebook.com/
Source0:	https://github.com/Sigil-Ebook/PageEdit/archive/%{version}/%{name}-%{version}.tar.gz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:	aarch64 x86_64
BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6WebEngineCore)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

%description
An ePub visual XHTML editor based on Sigil's Deprecated BookView.
It uses WebEngine instead of WebKit.

%prep
%setup -q -n %{oname}-%{version}

%build
%cmake_qt6 \
	-DUSE_QT6=ON \
	-DSHARE_INSTALL_PREFIX=%{_prefix} \
	-DINSTALL_BUNDLED_DICTS=OFF
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog.txt README.md
%license COPYING.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg


%changelog
* Fri May 23 2025 daviddavid <daviddavid> 2.5.0-1.mga10
+ Revision: 2185869
- new version: 2.5.0

* Fri Feb 07 2025 daviddavid <daviddavid> 2.4.0-1.mga10
+ Revision: 2145999
- new version: 2.4.0

* Sat Sep 14 2024 daviddavid <daviddavid> 2.3.1-1.mga10
+ Revision: 2095984
- new version: 2.3.1

* Thu Jun 20 2024 daviddavid <daviddavid> 2.2.0-1.mga10
+ Revision: 2075907
- new version: 2.2.0

* Fri Apr 26 2024 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2061180
- new version: 2.1.0

* Fri Nov 24 2023 daviddavid <daviddavid> 2.0.2-1.mga10
+ Revision: 2009438
- new version: 2.0.2

* Sat Oct 14 2023 daviddavid <daviddavid> 2.0.0-1.mga10
+ Revision: 1996596
- new version: 2.0.0
- disable 32bit for now as of lack of qtwebengine6

* Wed Jan 04 2023 daviddavid <daviddavid> 1.9.20-2.mga9
+ Revision: 1929956
- switch to Qt6

* Sat Nov 26 2022 daviddavid <daviddavid> 1.9.20-1.mga9
+ Revision: 1911199
- new version: 1.9.20

* Tue Apr 05 2022 umeabot <umeabot> 1.5.0-2.mga9
+ Revision: 1845090
- Mageia 9 Mass Rebuild

* Fri Mar 26 2021 daviddavid <daviddavid> 1.5.0-1.mga9
+ Revision: 1710376
- new version: 1.5.0

* Thu Dec 17 2020 daviddavid <daviddavid> 1.4.0-1.mga8
+ Revision: 1659339
- new version: 1.4.0

* Thu Dec 17 2020 umeabot <umeabot> 0.9.5-3.mga8
+ Revision: 1659283
- Rebuild for new Qt5

* Sun Feb 16 2020 umeabot <umeabot> 0.9.5-2.mga8
+ Revision: 1536131
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Oct 14 2019 daviddavid <daviddavid> 0.9.5-1.mga8
+ Revision: 1453275
- initial package pageedit

